## CGAL::Regular_triangulation_vertex_base_2<Traits,Vb>

### Definition

The class Regular_triangulation_vertex_base_2<Traits,Vb> is a model of the concept RegularTriangulationVertexBase_2. It is the default vertex base class of regular triangulations.

#include <CGAL/Regular_triangulation_vertex_base_2.h>

### Parameters

The template parameters Traits has to be a model of RegularTriangulationTraits_2.

The template parameters Vb has to be a model of the concept TriangulationVertexBase_2 and is by default instantiated by CGAL::Triangulation_vertex_base_2<Traits>.

### Is Model for the Concept

RegularTriangulationVertexBase_2

### Inherits From

Triangulation_vertex_base_2<Traits,Tds>

### See Also

CGA::Triangulation_vertex_base_2<Traits,Vb>
CGAL::Regular_triangulation_2<Traits,Tds>
CGAL::Regular_triangulation_face_base_2<Traits>